Bug 175130 - Install from HDD not clear
Install from HDD not clear
Status: CLOSED RAWHIDE
Product: Fedora Documentation
Classification: Fedora
Component: install-guide (Show other bugs)
devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stuart Ellis
Paul W. Frields
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-06 16:05 EST by Ian Perryman
Modified: 2007-04-18 13:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-14 18:02:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Perryman 2005-12-06 16:05:01 EST
Description of problem: Install from HDD not clear
The install manual does not describe the process to perform an upgrade install
if you download DVD/CD iso image to your HDD, but do not have a DVD/CD drive. 
How do you get to the boot: prompt to enter the "askmethod" directive?  I don't
think GRUB supports this (or does it?)  

Version-Release number of selected component (if applicable):


How reproducible: Yes


Steps to Reproduce:
1.Enhancement request
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Paul W. Frields 2005-12-06 16:26:13 EST
You can't do this with GRUB.  There are ways to get around this, but that would
go WAY outside the scope of the Installation Guide.  We should note that users
in this situation should download the bootdisk.img file and boot from a USB
device if they can.  If not, well... CD drives are about $5-8, and DVD-ROM
drives about $20 as of this writing; I think we can expect most users will have
them available.
Comment 2 Ian Perryman 2005-12-06 23:11:08 EST
Ah! good idea.  I forgot that I could use the bootdisk.img (that is the rescue
disk).  I got my self into this situation at work where the DVD iso was already
avalilable, but not the CD images.  Mmy machine has no DVD, and I did not relish
the idea of downloading a CD image during work hrs and disrupt the team.  

I guess I was lead to believe that I could do an install from HDD without
burning a CD/DVD.  Perhaps a note could suggest downloading DVD iso to HDD, and
then bootdisk.img to USB.  Then boot from USB and hit askmethod to get the image
on the HDD. 

There are lots of machines which do not have CD burners still (I think my
company thinks it is somehow more secure if you can't burn sensitive info onto
removeable media so they don't buy burners for desktops).  This is getting to be
almost impossible these days, but I have an older system.  Maybe my next renewal
will be not so lame.
Comment 3 Stuart Ellis 2005-12-10 13:06:51 EST
Folks with ultra-portables may also want to do installs via this USB/HDD route
as well, rather than dealing with external disc drives. I've now edited the text
on boot/install media, to hopefully make the options a bit clearer:

http://webtest.fedora.redhat.com/docs/fedora-install-guide/en/sn-preparing-media.html

http://webtest.fedora.redhat.com/docs/fedora-install-guide/en/sn-installing-from-harddrive.html
Comment 4 Paul W. Frields 2005-12-10 17:53:03 EST
Great, thanks!  Remember to take the bug as ASSIGNED for easier tracking.
Comment 5 Ian Perryman 2005-12-12 08:10:16 EST
Yes very nice work.  

Thanks
Comment 6 Stuart Ellis 2005-12-14 18:02:13 EST
Now marking this as fixed.

Note You need to log in before you can comment on or make changes to this bug.